package:firebase_core_platform_interface/src/firebase_options.dart': Failed assertion: line 61 pos 16: map['apiKey'] != null': 'apiKey' cannot be null

Hi i'm trying to build an app on android studio. Suddenly, when i launch the app it return me "E/flutter ( 5415): [ERROR:flutter/lib/ui/ui_dart_state.cc(209)] Unhandled Exception: 'package:firebase_core_platform_interface/src/firebase_options.dart': Failed assertion: line 61 pos 16: 'map['apiKey'] != null': 'apiKey' cannot be null"

my main.dart is:

import 'package:flutter/material.dart';
import 'package:my_firstapp/locator.dart';
import 'package:my_firstapp/models/user_model.dart';
import 'package:my_firstapp/screens/wrapper.dart';
import 'package:provider/provider.dart';
import 'package:my_firstapp/services/auth.dart';
import 'package:firebase_core/firebase_core.dart';


void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Firebase.initializeApp(name: '',options: FirebaseOptions(apiKey: "XXX", appId: "XXX", messagingSenderId: "XXX", projectId: "XXX", storageBucket: "XXX"));
  setupServices();
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return StreamProvider<UserModel>.value(
      value: AuthService().user,
      initialData: null,
      child: MaterialApp(
        theme: ThemeData(
          primaryColor: Color(0xff5FA55A),
          secondaryHeaderColor: Color(0xff5FA55A),
        ),
        home: Wrapper(),
      ),
    );
  }
}

the firebase_options has been automatically created. what should i do? Thanks in advance

How many English words
do you know?
Test your English vocabulary size, and measure
how many words do you know
Online Test
Powered by Examplum